tigase.jaxmpp.core.client.xmpp.stanzas

## Class ErrorElement

- java.lang.Object
- - tigase.jaxmpp.core.client.xml.ElementWrapper
  - - tigase.jaxmpp.core.client.xmpp.stanzas.ErrorElement

- All Implemented Interfaces:
    Element

      public class ErrorElement
      extends ElementWrapper

  Class wrap around <error/> elements in stanza.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ErrorElement` | `extract(Element stanza)`
    `String` | `getCode()` Return error code.
    `XMPPException.ErrorCondition` | `getCondition()` Return error condition.
    `String` | `getText()` Return human readable error description.
    `String` | `getType()` Return error type.

    - ### Methods inherited from class tigase.jaxmpp.core.client.xml.ElementWrapper

      `addChild, equals, findChild, getAsString, getAttribute, getAttributes, getChildAfter, getChildElementValue, getChildElementValue, getChildren, getChildren, getChildrenNS, getChildrenNS, getFirstChild, getFirstChild, getName, getNextSibling, getParent, getValue, getWrappedElement, getXMLNS, hashCode, removeAttribute, removeChild, setAttribute, setAttributes, setChildElementValue, setChildElementValue, setParent, setValue, setXMLNS, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### extract

          public static ErrorElement extract(Element stanza)
                                      throws XMLException

      Throws:
        `XMLException`

    - #### getCode

          public String getCode()
                         throws XMLException

      Return error code.
      Returns:
        error code
      Throws:
        `XMLException`

    - #### getCondition

          public XMPPException.ErrorCondition getCondition()
                                                    throws XMLException

      Return error condition.
      Returns:
        XMPPException.ErrorCondition
      Throws:
        `XMLException`

    - #### getText

          public String getText()
                         throws XMLException

      Return human readable error description.
      Returns:
        error description
      Throws:
        `XMLException`

    - #### getType

          public String getType()
                         throws XMLException

      Return error type.
      Returns:
        error type
      Throws:
        `XMLException`

Copyright © 2006–2023 Tigase. All rights reserved.